Philipp von Weitershausen wrote:
This is silly.

Mistakes happen. Buildout and/or setuptools should be tolerant of accidental releases that are then removed from PyPI.

What currently happens in cases like this?


Well, that wouldn't be good...

In what situations would buildout or setuptools pick 3.4dev-r73090?

If it has been picked, what happens when that package is updated by either tool?

What *should* happen is the latest package still on pypi gets picked and replaces 3.4dev-r73090, maybe with a warning issued if necessary.



Simplistix - Content Management, Zope & Python Consulting
Zope-Dev maillist  -
**  No cross posts or HTML encoding!  **
(Related lists - )

Reply via email to